Bug 1813778 - python-treq-21.5.0 is available
Summary: python-treq-21.5.0 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-treq
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Yatin Karel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-16 03:36 UTC by Upstream Release Monitoring
Modified: 2021-07-15 01:03 UTC (History)
2 users (show)

Fixed In Version: python-treq-21.5.0-1.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-15 01:03:33 UTC
Type: ---


Attachments (Terms of Use)
[patch] Update to 20.3.0rc1 (#1813778) (1.06 KB, patch)
2020-03-16 03:37 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 20.3.0 (#1813778) (1.05 KB, patch)
2020-03-16 04:56 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 20.4.1 (#1813778) (1.05 KB, patch)
2020-04-17 05:33 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 20.9.0rc1 (#1813778) (1.06 KB, patch)
2020-09-27 19:21 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 20.9.0 (#1813778) (1.05 KB, patch)
2020-09-27 20:37 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 21.1.0 (#1813778) (1.05 KB, patch)
2021-01-15 07:52 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2020-03-16 03:36:59 UTC
Latest upstream release: 20.3.0rc1
Current version/release in rawhide: 18.6.0-2.fc32
URL: https://github.com/twisted/treq

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19614/

Comment 1 Upstream Release Monitoring 2020-03-16 03:37:11 UTC
Created attachment 1670416 [details]
[patch] Update to 20.3.0rc1 (#1813778)

Comment 2 Upstream Release Monitoring 2020-03-16 03:42:58 UTC
the-new-hotness/release-monitoring.org's scratch build of python-treq-20.3.0rc1-1.fc30.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=42517124

Comment 3 Upstream Release Monitoring 2020-03-16 04:56:33 UTC
Latest upstream release: 20.3.0
Current version/release in rawhide: 18.6.0-2.fc32
URL: https://github.com/twisted/treq

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19614/

Comment 4 Upstream Release Monitoring 2020-03-16 04:56:41 UTC
Created attachment 1670436 [details]
[patch] Update to 20.3.0 (#1813778)

Comment 5 Upstream Release Monitoring 2020-03-16 04:59:05 UTC
the-new-hotness/release-monitoring.org's scratch build of python-treq-20.3.0-1.fc30.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=42519125

Comment 6 Upstream Release Monitoring 2020-04-17 05:33:29 UTC
Latest upstream release: 20.4.1
Current version/release in rawhide: 18.6.0-2.fc32
URL: https://github.com/twisted/treq

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19614/

Comment 7 Upstream Release Monitoring 2020-04-17 05:33:33 UTC
Created attachment 1679562 [details]
[patch] Update to 20.4.1 (#1813778)

Comment 8 Upstream Release Monitoring 2020-04-17 05:36:46 UTC
the-new-hotness/release-monitoring.org's scratch build of python-treq-20.4.1-1.fc30.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=43483267

Comment 9 Upstream Release Monitoring 2020-09-27 19:21:33 UTC
Latest upstream release: 20.9.0rc1
Current version/release in rawhide: 18.6.0-4.fc33
URL: https://github.com/twisted/treq

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19614/

Comment 10 Upstream Release Monitoring 2020-09-27 19:21:37 UTC
Created attachment 1717125 [details]
[patch] Update to 20.9.0rc1 (#1813778)

Comment 11 Upstream Release Monitoring 2020-09-27 19:23:35 UTC
the-new-hotness/release-monitoring.org's scratch build of python-treq-20.9.0rc1-1.fc32.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=52371020

Comment 12 Upstream Release Monitoring 2020-09-27 20:37:11 UTC
Latest upstream release: 20.9.0
Current version/release in rawhide: 18.6.0-4.fc33
URL: https://github.com/twisted/treq

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19614/

Comment 13 Upstream Release Monitoring 2020-09-27 20:37:16 UTC
Created attachment 1717143 [details]
[patch] Update to 20.9.0 (#1813778)

Comment 14 Upstream Release Monitoring 2020-09-27 20:39:18 UTC
the-new-hotness/release-monitoring.org's scratch build of python-treq-20.9.0-1.fc32.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=52372990

Comment 15 Upstream Release Monitoring 2021-01-15 07:52:23 UTC
Latest upstream release: 21.1.0
Current version/release in rawhide: 18.6.0-4.fc33
URL: https://github.com/twisted/treq

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19614/

Comment 16 Upstream Release Monitoring 2021-01-15 07:52:33 UTC
Created attachment 1747699 [details]
[patch] Update to 21.1.0 (#1813778)

Comment 17 Upstream Release Monitoring 2021-01-15 07:56:09 UTC
the-new-hotness/release-monitoring.org's scratch build of python-treq-21.1.0-1.fc32.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=59750031

Comment 18 Dan Callaghan 2021-04-27 02:48:00 UTC
Upstream changelog here:
https://github.com/twisted/treq/blob/master/CHANGELOG.rst
only goes back to version 20.3.0, but it turns out that was actually the next version after 18.6.0.

According to the changelog there should be no backwards incompatible API changes. There are some new deprecation warnings which will become hard errors in a later release.

Minimum Python version is now 3.6.
Minimum Twisted version is 18.7.0.

Comment 19 Dan Callaghan 2021-04-27 02:54:35 UTC
https://src.fedoraproject.org/rpms/python-treq/pull-request/1

Should be suitable for F33 and F34 also.

Comment 20 Upstream Release Monitoring 2021-05-24 20:36:02 UTC
Latest upstream release: 21.5.0
Current version/release in rawhide: 21.1.0-1.fc35
URL: https://github.com/twisted/treq

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19614/

Comment 21 Upstream Release Monitoring 2021-05-24 20:36:05 UTC
An HTTP error occurred downloading the package's new Source URLs: Getting https://files.pythonhosted.org/packages/source/t/treq/treq-21.5.0.tar.gz to ./treq-21.5.0.tar.gz

Comment 22 Fedora Update System 2021-07-06 14:26:49 UTC
FEDORA-2021-58cefb2bf4 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-58cefb2bf4

Comment 23 Fedora Update System 2021-07-07 01:15:39 UTC
FEDORA-2021-58cefb2bf4 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-58cefb2bf4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-58cefb2bf4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 24 Fedora Update System 2021-07-15 01:03:33 UTC
FEDORA-2021-58cefb2bf4 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.